IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_CONDRULEPARSELOG') 
 CREATE TABLE T_WF_CONDRULEPARSELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FOPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FOPDATE DATETIME,
FPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FPROCESSDEFINITIONID BIGINT DEFAULT 0 NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYID VARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIVITYINSTID BIGINT DEFAULT 0 NOT NULL,
FKEY VARCHAR(500) DEFAULT ' ' NOT NULL,
FLOGMSG VARCHAR(2000) DEFAULT ' ' NOT NULL,
FLOGMSG_TAG NCLOB,
FEXPRESSION VARCHAR(500) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXCEPTIONSTACKTRACE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FSUPERPROCESSNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_WF_CONDRULEPARSELOG', 'T_WF_CONDRULEPARSELOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_CONDRULEPARSELOG' AND KSQL_INDNAME = 'IDX_WF_CONDRULEPARSELOG_BUSKEY') CREATE INDEX IDX_WF_CONDRULEPARSELOG_BUSKEY ON T_WF_CONDRULEPARSELOG ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_CONDRULEPARSELOG' AND KSQL_INDNAME = 'IDX_WF_CONDRULEPARSELOG_ENTITY') CREATE INDEX IDX_WF_CONDRULEPARSELOG_ENTITY ON T_WF_CONDRULEPARSELOG ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_CONDRULEPARSELOG' AND KSQL_INDNAME = 'IDX_WF_CONDRULEPARSELOG_BILLNO') CREATE INDEX IDX_WF_CONDRULEPARSELOG_BILLNO ON T_WF_CONDRULEPARSELOG ( FBILLNO );




