﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/

 EXEC P_ALTERPK 'PK_WF_PROCESSJOBLOG', 'T_WF_PROCESSJOBLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCESSJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCESSJOBLOG_PROC') CREATE INDEX IDX_WF_PROCESSJOBLOG_PROC ON T_WF_PROCESSJOBLOG ( FPROCINSTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCESSJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCESSJOBLOG_BUSKEY') CREATE INDEX IDX_WF_PROCESSJOBLOG_BUSKEY ON T_WF_PROCESSJOBLOG ( FBUSINESSKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCESSJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCESSJOBLOG_BILLNO') CREATE INDEX IDX_WF_PROCESSJOBLOG_BILLNO ON T_WF_PROCESSJOBLOG ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCESSJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCESSJOBLOG_OPTIME') CREATE INDEX IDX_WF_PROCESSJOBLOG_OPTIME ON T_WF_PROCESSJOBLOG ( FOPDATE ,FTIMESTAMP );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCESSJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCESSJOBLOG_TIMESTAMP') CREATE INDEX IDX_WF_PROCESSJOBLOG_TIMESTAMP ON T_WF_PROCESSJOBLOG ( FTIMESTAMP );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCESSJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCESSJOBLOG_JOBID') CREATE INDEX IDX_WF_PROCESSJOBLOG_JOBID ON T_WF_PROCESSJOBLOG ( FJOBID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_WF_PROCESSJOBLOG' AND KSQL_INDNAME = 'IDX_WF_PROCESSJOBLOG_SRCJOBID') CREATE INDEX IDX_WF_PROCESSJOBLOG_SRCJOBID ON T_WF_PROCESSJOBLOG ( FSRCJOBID );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/
