﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HIMSGFAIL') 
 CREATE TABLE T_WF_HIMSGFAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FMESSAGEID BIGINT DEFAULT 0 NOT NULL,
FUSERIDS VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPUBACCNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FTPLSCENE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANNEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FSERVICECLASS VARCHAR(200) DEFAULT ' ' NOT NULL,
FRETRY INT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FREASON NCLOB,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FTITLE VARCHAR(500) DEFAULT ' ' NOT NULL,
FENTITYNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSENDERNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANNELNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FCONFIG VARCHAR(2000) DEFAULT ' ' NOT NULL,
FTEMPLATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTOALL CHAR(1) DEFAULT '0' NOT NULL,
FCHANNELCONTENT NCLOB,
FDELETEDATE DATETIME,
FDELETEREASON VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HIMSGFAIL_L') 
 CREATE TABLE T_WF_HIMSGFAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FTITLE VARCHAR(500) DEFAULT ' ' NOT NULL,
FENTITYNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSENDERNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANNELNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FCHANNELCONTENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIMSGRECEIVER' AND KSQL_COL_NAME ='FTERMINALWAY') 
 ALTER TABLE T_WF_HIMSGRECEIVER ADD (FTERMINALWAY VARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIMSGRECEIVER' AND KSQL_COL_NAME ='FDELETEREASON') 
 ALTER TABLE T_WF_HIMSGRECEIVER ADD (FDELETEREASON VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIMESSAGE_L' AND KSQL_COL_NAME ='FCONTENT_TAG') 
 ALTER TABLE T_WF_HIMESSAGE_L ADD (FCONTENT_TAG VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIMESSAGE' AND KSQL_COL_NAME ='FCONTENT_TAG') 
 ALTER TABLE T_WF_HIMESSAGE ADD (FCONTENT_TAG VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIMESSAGE' AND KSQL_COL_NAME ='FDELETEREASON') 
 ALTER TABLE T_WF_HIMESSAGE ADD (FDELETEREASON VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
