﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/

 EXEC P_ALTERPK 'PK_T_WF_PROCANALYSIS', 'T_WF_PROCANALYSIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALY_YEARS') CREATE INDEX IDX_WF_PROCANALY_YEARS ON T_WF_PROCANALYSIS ( FYEARS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALY_PROCTYPE') CREATE INDEX IDX_WF_PROCANALY_PROCTYPE ON T_WF_PROCANALYSIS ( FPROCTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALY_PROCDEF') CREATE INDEX IDX_WF_PROCANALY_PROCDEF ON T_WF_PROCANALYSIS ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALY_PROCNUMBER') CREATE INDEX IDX_WF_PROCANALY_PROCNUMBER ON T_WF_PROCANALYSIS ( FPROCNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALY_ENTITY') CREATE INDEX IDX_WF_PROCANALY_ENTITY ON T_WF_PROCANALYSIS ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALY_ORG') CREATE INDEX IDX_WF_PROCANALY_ORG ON T_WF_PROCANALYSIS ( FORGUNITID );


 EXEC P_ALTERPK 'PK_T_WF_PROCANALYSIS_L', 'T_WF_PROCANALYSIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALYSIS_L') CREATE INDEX IDX_WF_PROCANALYSIS_L ON T_WF_PROCANALYSIS_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PROCANALY_L_PROCNAME') CREATE INDEX IDX_WF_PROCANALY_L_PROCNAME ON T_WF_PROCANALYSIS_L ( FPROCNAME );


 EXEC P_ALTERPK 'PK_T_WF_NODEANALYSIS', 'T_WF_NODEANALYSIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_YEARS') CREATE INDEX IDX_WF_NODEANALY_YEARS ON T_WF_NODEANALYSIS ( FYEARS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_PROCTYPE') CREATE INDEX IDX_WF_NODEANALY_PROCTYPE ON T_WF_NODEANALYSIS ( FPROCTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_PROCDEF') CREATE INDEX IDX_WF_NODEANALY_PROCDEF ON T_WF_NODEANALYSIS ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_ENTITY') CREATE INDEX IDX_WF_NODEANALY_ENTITY ON T_WF_NODEANALYSIS ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_ORG') CREATE INDEX IDX_WF_NODEANALY_ORG ON T_WF_NODEANALYSIS ( FORGUNITID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_NODETYPE') CREATE INDEX IDX_WF_NODEANALY_NODETYPE ON T_WF_NODEANALYSIS ( FNODETYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_NODEID') CREATE INDEX IDX_WF_NODEANALY_NODEID ON T_WF_NODEANALYSIS ( FNODEID );


 EXEC P_ALTERPK 'PK_T_WF_NODEANALYSIS_L', 'T_WF_NODEANALYSIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALYSIS_L') CREATE INDEX IDX_WF_NODEANALYSIS_L ON T_WF_NODEANALYSIS_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_L_PROCNAME') CREATE INDEX IDX_WF_NODEANALY_L_PROCNAME ON T_WF_NODEANALYSIS_L ( FPROCNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_NODEANALY_L_NODENAME') CREATE INDEX IDX_WF_NODEANALY_L_NODENAME ON T_WF_NODEANALYSIS_L ( FNODENAME );


 EXEC P_ALTERPK 'PK_T_WF_PERSONANALYSIS', 'T_WF_PERSONANALYSIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_YEARS') CREATE INDEX IDX_WF_PERSONANALY_YEARS ON T_WF_PERSONANALYSIS ( FYEARS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_PROCTYPE') CREATE INDEX IDX_WF_PERSONANALY_PROCTYPE ON T_WF_PERSONANALYSIS ( FPROCTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_PROCDEF') CREATE INDEX IDX_WF_PERSONANALY_PROCDEF ON T_WF_PERSONANALYSIS ( FPROCDEFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_ENTITY') CREATE INDEX IDX_WF_PERSONANALY_ENTITY ON T_WF_PERSONANALYSIS ( FENTITYNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_ORG') CREATE INDEX IDX_WF_PERSONANALY_ORG ON T_WF_PERSONANALYSIS ( FORGUNITID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_NODETYPE') CREATE INDEX IDX_WF_PERSONANALY_NODETYPE ON T_WF_PERSONANALYSIS ( FNODETYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_NODEID') CREATE INDEX IDX_WF_PERSONANALY_NODEID ON T_WF_PERSONANALYSIS ( FNODEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_USERID') CREATE INDEX IDX_WF_PERSONANALY_USERID ON T_WF_PERSONANALYSIS ( FASSIGNEEID );


 EXEC P_ALTERPK 'PK_T_WF_PERSONANALYSIS_L', 'T_WF_PERSONANALYSIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALYSIS_L') CREATE INDEX IDX_WF_PERSONANALYSIS_L ON T_WF_PERSONANALYSIS_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WF_PERSONANALY_L_NODENAME') CREATE INDEX IDX_WF_PERSONANALY_L_NODENAME ON T_WF_PERSONANALYSIS_L ( FNODENAME );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_constraint.sql **/
