IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_MANAGEPROCESS') 
 CREATE TABLE T_WF_MANAGEPROCESS (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_MANAGEPROCESSENTRY') 
 CREATE TABLE T_WF_MANAGEPROCESSENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_MODEL' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_MODEL ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_PROCDEF' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_PROCDEF ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_DEADLETTERJOB' AND KSQL_COL_NAME ='FORGUNITID') 
 ALTER TABLE T_WF_DEADLETTERJOB ADD (FORGUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_DEADLETTERJOB' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_DEADLETTERJOB ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_JOBRECORD' AND KSQL_COL_NAME ='FORGUNITID') 
 ALTER TABLE T_WF_JOBRECORD ADD (FORGUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_JOBRECORD' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_JOBRECORD ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_EXECUTION' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_EXECUTION ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HIPROCINST' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_HIPROCINST ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HITASKINST' AND KSQL_COL_NAME ='FORGUNITID') 
 ALTER TABLE T_WF_HITASKINST ADD (FORGUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_HITASKINST' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_HITASKINST ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TASK' AND KSQL_COL_NAME ='FORGUNITID') 
 ALTER TABLE T_WF_TASK ADD (FORGUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_TASK' AND KSQL_COL_NAME ='FORGVIEWID') 
 ALTER TABLE T_WF_TASK ADD (FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WF_ADMINSENTRY' AND KSQL_COL_NAME ='FORGTYPE') 
 ALTER TABLE T_WF_ADMINSENTRY ADD (FORGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );