/** 流程统计分析调度 **/

DELETE FROM T_SCH_TASKDEFINE WHERE FID = '2B/SMA/V1/Z9';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('2B/SMA/V1/Z9', 'kd.bos.workflow.analysis.task.WorkflowProcAnalysisTask', 'WorkflowProcAnalysisTask', 'wf');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID = '2B/SMA/V1/Z9';
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2B/SMA/V1/=/', '2B/SMA/V1/Z9', 'zh_CN', '流程统计分析数据初始化调度作业');

DELETE from T_SCH_JOB WHERE fid = '2B/PHZJOFE7B';
INSERT INTO T_SCH_JOB  (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS)   
VALUES ('2B/PHZJOFE7B', 'BIZ', 'kd.bos.workflow.analysis.task.WorkflowProcAnalysisTask', '-1', 'WF_PROCANALYSISINITDATASJOBTASK_SKDJ_S', '2B/SMA/V1/Z9', '1');

DELETE from T_SCH_JOB_L WHERE FID = '2B/PHZJOFE7B';
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('2B/PHZJOFEWL', '2B/PHZJOFE7B', 'zh_CN', '流程统计分析数据初始化调度作业');


DELETE from T_SCH_SCHEDULE WHERE FID = '2B/P=85A=3H0';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FBYDAYORWEEK, FDESC) 
VALUES ('2B/P=85A=3H0', '2B/PHZJOFE7B', {ts'2022-03-25 01:00:00'}, {ts'2099-12-30 01:00:00'}, '0 0 1 * * ?', 'WF_PROCANALYSISINITDATASJOBTASK_SKDP_S', '1', 'd', 1, 'd', '事件将于每1天重复');

DELETE from T_SCH_SCHEDULE_L WHERE FID = '2B/P=85A=3H0';
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('2B/P=85DXI/=', '2B/P=85A=3H0', 'zh_CN', '流程统计分析数据初始化调度计划');



/** 节点统计分析调度 **/

DELETE FROM T_SCH_TASKDEFINE WHERE FID = '2B/SO/LUB9OC';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('2B/SO/LUB9OC', 'kd.bos.workflow.analysis.task.WorkflowNodeAnalysisTask', 'WorkflowNodeAnalysisTask', 'wf');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID = '2B/SO/LUB9OC';
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2B/SO/LUB9/3', '2B/SO/LUB9OC', 'zh_CN', '节点统计分析数据初始化调度作业');

DELETE from T_SCH_JOB WHERE fid = '2B/PJH7=89R5';
INSERT INTO T_SCH_JOB  (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS)   
VALUES ('2B/PJH7=89R5', 'BIZ', 'kd.bos.workflow.analysis.task.WorkflowNodeAnalysisTask', '-1', 'WF_NODEANALYSISINITDATASJOBTASK_SKDJ_S', '2B/SO/LUB9OC', '1');

DELETE from T_SCH_JOB_L WHERE FID = '2B/PJH7=89R5';
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('2B/PJH7=8=EE', '2B/PJH7=89R5', 'zh_CN', '节点统计分析数据初始化调度作业');


DELETE from T_SCH_SCHEDULE WHERE FID = '2B/PB32119SX';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FBYDAYORWEEK, FDESC) 
VALUES ('2B/PB32119SX', '2B/PJH7=89R5', {ts'2022-03-25 01:30:00'}, {ts'2099-12-30 01:30:00'}, '0 30 1 * * ?', 'WF_NODEANALYSISINITDATASJOBTASK_SKDP_S', '1', 'd', 1, 'd', '事件将于每1天重复');

DELETE from T_SCH_SCHEDULE_L WHERE FID = '2B/PB32119SX';
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('2B/PB324OPNO', '2B/PB32119SX', 'zh_CN', '节点统计分析数据初始化调度计划');



/** 人员统计分析调度 **/

DELETE FROM T_SCH_TASKDEFINE WHERE FID = '2B/SQE/L7N5O';
INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES ('2B/SQE/L7N5O', 'kd.bos.workflow.analysis.task.WorkflowPersonAnalysisTask', 'WorkflowPersonAnalysisTask', 'wf');

DELETE FROM T_SCH_TASKDEFINE_L WHERE FID = '2B/SQE/L7N5O';
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2B/SQE/L7MHE', '2B/SQE/L7N5O', 'zh_CN', '人员统计分析数据初始化调度作业');

DELETE from T_SCH_JOB WHERE fid = '2B/PLGH2/VQH';
INSERT INTO T_SCH_JOB  (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS)   
VALUES ('2B/PLGH2/VQH', 'BIZ', 'kd.bos.workflow.analysis.task.WorkflowPersonAnalysisTask', '-1', 'WF_PERSONANALYSISINITDATASJOBTASK_SKDJ_S', '2B/SQE/L7N5O', '1');

DELETE from T_SCH_JOB_L WHERE FID = '2B/PLGH2/VQH';
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('2B/PLGH2/V18', '2B/PLGH2/VQH', 'zh_CN', '人员统计分析数据初始化调度作业');


DELETE from T_SCH_SCHEDULE WHERE FID = '2B/PC6GPMZP6';
INSERT INTO T_SCH_SCHEDULE (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FBYDAYORWEEK, FDESC) 
VALUES ('2B/PC6GPMZP6', '2B/PLGH2/VQH', {ts'2022-03-25 02:00:00'}, {ts'2099-12-30 02:00:00'}, '0 0 2 * * ?', 'WF_PERSONANALYSISINITDATASJOBTASK_SKDP_S', '1', 'd', 1, 'd', '事件将于每1天重复');

DELETE from T_SCH_SCHEDULE_L WHERE FID = '2B/PC6GPMZP6';
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME) 
VALUES ('2B/PC6GPMZ/Y', '2B/PC6GPMZP6', 'zh_CN', '人员统计分析数据初始化调度计划');
